com.tibbo.aggregate.common.structure.collector

## Class ApplicationStructureLocator

- java.lang.Object
- - com.tibbo.aggregate.common.structure.collector.ApplicationStructureLocator

-     public class ApplicationStructureLocator
      extends java.lang.Object

  A facility to find currently available `ApplicationStructureCollector` and cache it afterward
  Since:
    AGG-10879

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationStructureLocator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationStructureCollector` | `obtainStructureCollector(java.lang.ClassLoader pluginClassLoader)` Tries to locate a suitable implementation of `ApplicationStructureCollector` among currently active plugins and returns the cached one upon finding.
    `static ApplicationStructureCollector` | `obtainStructureCollector(PluginDirector pluginDirector)` Tries to locate a suitable implementation of `ApplicationStructureCollector` among currently active plugins and returns the cached one upon finding.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationStructureLocator

          public ApplicationStructureLocator()

  - ### Method Detail

    - #### obtainStructureCollector

          public static ApplicationStructureCollector obtainStructureCollector(PluginDirector pluginDirector)

      Tries to locate a suitable implementation of `ApplicationStructureCollector` among currently active plugins and returns the cached one upon finding.
      Should not be called before all the plugins have been loaded.
      Parameters:
        `pluginDirector` - a source of plugins to load the collector on behalf of
      Returns:
        current active collector or a stub one if not found

    - #### obtainStructureCollector

          public static ApplicationStructureCollector obtainStructureCollector(java.lang.ClassLoader pluginClassLoader)

      Tries to locate a suitable implementation of `ApplicationStructureCollector` among currently active plugins and returns the cached one upon finding.
      Should not be called before all the plugins have been loaded.
      Parameters:
        `pluginClassLoader` - structure plugin class loader
      Returns:
        current active collector or a stub one if not found